## simde 0.7.6

=== debian/changelog ===
simde (0.7.6-1) unstable; urgency=medium

  * Upload 0.7.6-1 to 'unstable'.
  * Document upstream source for ppc64el_fixes patch.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 13 Jun 2023 12:05:05 +0200

simde (0.7.6-0~0exp3) experimental; urgency=medium

  * Install the pkg-config simde file in /usr/share/pkgconfig/,
    not /usr/lib/<triplet>/pkgconfig/
  * Autopkgtests: resume skipping some tests:
     i386: avx512/dbsad
     ppc64el: all tests pass
     s390x: all tests pass
  * d/rules: clean all the build directories
  * d/rules: save testing time by skipping 'emul' tests
  * Add another patch from upstream to fix ppc64el implementations of WASM
    SIMD128 functions.
  * pkg-config: drop "-Wno-psabi", too invasive

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 May 2023 09:32:48 +0200

simde (0.7.6-0~0exp2) experimental; urgency=medium

  * Autopkgtests control: use "@" so we get the same version of the
    package the test is written for

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 May 2023 22:17:19 +0200

simde (0.7.6-0~0exp1) experimental; urgency=medium

  * Standalone test: use pkg-config
  * pkg-config: Add "-Wno-psabi" (fixes standalone test for i386)
                Don't pass "-O3" (even though we really recommend it)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 May 2023 00:23:30 +0200

simde (0.7.6-0~0exp0) experimental; urgency=medium

  * New upstream version
  * debian/test/standalone: Add standalone test from Homebrew
  * Removed debian/install and -override_dh_auto_install, use meson to
    install
  * Patch pkg-config to automatically include the optimizaton CFLAGS:
    "-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3"
  * Added patch to fix tests on ppc64el

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 May 2023 19:06:25 +0200

simde (0.7.4+really0.7.4-0exp0) experimental; urgency=medium

  * Whoops, meant to upload to experimental. Try #2

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 May 2023 14:51:13 +0200
