## simde 0.8.0~rc1

=== debian/changelog ===
simde (0.8.0~rc1-1~0exp0) experimental; urgency=medium

  * New upstream version
  * d/patches: remove wasm_f64x2_pmin_altivec.patch & ppc64el_fixes,
    they were applied upstream.
  * d/control: switch to Architecture:any for wider testing
  * d/rules,tests/run-unit-test: try running the avx512 dbsad tests on
    i386 again.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Nov 2023 18:44:06 +0100
