=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,10 @@
 	# CC=clang CXX=clang++ dh_auto_configure --builddirectory=clang_test
   # endif
 # https://github.com/simd-everywhere/simde/issues/867
-ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
-	sed -i "/'dbsad'/d" meson.build
-	rm -f test/x86/avx512/dbsad.c
-endif
+# ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
+# 	sed -i "/'dbsad'/d" meson.build
+# 	rm -f test/x86/avx512/dbsad.c
+# endif
 # According to https://wiki.debian.org/ArchitectureSpecificsMemo#Architecture_baselines
 # It is odd that gcc doesn't include this automatically, but clang does
 ifneq (,$(filter $(DEB_BUILD_ARCH),ppc64))
