=== debian/changelog ===
simde (0.8.2~rc1-1) experimental; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Apr 2024 18:47:29 +0200

simde (0.8.0~rc2-1~0exp0) experimental; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Mar 2024 15:19:08 +0100
