=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,10 @@
 ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
 endif
-ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
-  export DEB_CFLAGS_MAINT_APPEND=-O0
-  export DEB_CXXFLAGS_MAINT_APPEND=-O0
-endif
+# ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
+#   export DEB_CFLAGS_MAINT_APPEND=-O0
+#   export DEB_CXXFLAGS_MAINT_APPEND=-O0
+# endif
 
 %:
 	dh $@ --buildsystem=meson+ninja
