=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Rules-Requires-Root: no
 
 Package: libsimde-dev
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Implementations of SIMD instructions for all systems
