## simde 0.8.4~rc2

=== debian/changelog ===
simde (0.8.4~rc2-1) unstable; urgency=medium

  * d/watch: upgrade to version 5
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Removed three patches applied upstream.
  * Cherry-pick patch from upstream to fix test error with dpkg-
    buildflags.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Feb 2026 11:07:15 +0100
