=== debian/changelog ===
simde (0.8.4~rc3-3) unstable; urgency=medium

  * d/tests: fix risc64→riscv6 typo.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 27 Feb 2026 13:58:01 +0100

simde (0.8.4~rc3-2) unstable; urgency=medium

  * d/tests: skip emulated tests on riscv64, to avoid timeout

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 26 Feb 2026 17:12:21 +0100

simde (0.8.4~rc3-1) unstable; urgency=medium

  * tests: also run the emulated tests
  * New upstream version
  * Drop patch applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Feb 2026 18:11:37 +0100
