=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,10 @@
 ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
 endif
-# ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
-#   export DEB_CFLAGS_MAINT_APPEND=-O0
-#   export DEB_CXXFLAGS_MAINT_APPEND=-O0
-# endif
+ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
+  export DEB_CFLAGS_MAINT_APPEND=-O0
+  export DEB_CXXFLAGS_MAINT_APPEND=-O0
+endif
 
 %:
 	dh $@ --buildsystem=meson+ninja
@@ -28,10 +28,12 @@
 	# CC=clang CXX=clang++ dh_auto_configure --builddirectory=clang_test
   # endif
 # https://github.com/simd-everywhere/simde/issues/867
-# ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
-# 	sed -i "/'dbsad'/d" meson.build
-# 	rm -f test/x86/avx512/dbsad.c
-# endif
+ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
+	sed -i "/'dbsad'/d" meson.build
+	sed -i "/'fpclass'/d" meson.build
+	rm -f test/x86/avx512/dbsad.c
+	rm -f test/x86/avx512/fpclass.c
+endif
 # According to https://wiki.debian.org/ArchitectureSpecificsMemo#Architecture_baselines
 # It is odd that gcc doesn't include this automatically, but clang does
 ifneq (,$(filter $(DEB_BUILD_ARCH),ppc64))
@@ -51,10 +53,10 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test --builddirectory=gcc_test -- $(shell meson test -C gcc_test --list | grep -v emul)
+	dh_auto_test --builddirectory=gcc_test
 # Skip testing on clang for now owing to bug report #1002223
 #  ifeq (,$(filter $(DEB_HOST_ARCH),$(CLANG_SKIP)))
-#	dh_auto_test --builddirectory=clang_test -- $(shell meson test -C clang_test --list | grep -v emul)
+#	dh_auto_test --builddirectory=clang_test
 #  endif
 endif
