=== debian/watch ===
Version: 5

Template: GitHub
Owner: simd-everywhere
Project: simde
Version-Type: SEMANTIC_VERSION
Uversion-Mangle: s/-rc-/~rc/; s/-rc/~rc/
